ndn-traffic -> ndn-traffic-client

Change-Id: I851dd8d6abbf34795b265bd25576190c9cffd91b
diff --git a/test_fib_matching/README.md b/test_fib_matching/README.md
index 49d5c16..66130b3 100644
--- a/test_fib_matching/README.md
+++ b/test_fib_matching/README.md
@@ -7,7 +7,7 @@
 
 ## Description ##
 
-This test case will run NFD, ndn-traffic, and ndn-traffic-server to test NFD's FIB matching mechanism.
+This test case will run NFD, ndn-traffic-client, and ndn-traffic-server to test NFD's FIB matching mechanism.
 
 ## Steps ##
 
@@ -16,16 +16,16 @@
 3.  Start ndn-traffic-server to serve /A with Content "A" with FreshnessPeriod=10ms.
 4.  Start ndn-traffic-server to serve /A/B/C with Content "C" with FreshnessPeriod=10ms.
 5.  Start ndn-traffic-server to serve /D/E with Content "E" with FreshnessPeriod=10ms.
-6.  Invoke ndn-traffic to request /F with MustBeFresh=true. Fail if unanswered or if received content is not "Z".
+6.  Invoke ndn-traffic-client to request /F with MustBeFresh=true. Fail if unanswered or if received content is not "Z".
 7.  Wait 100ms.
-8.  Invoke ndn-traffic to request /A with MustBeFresh=true. Fail if unanswered or if received content is not "A".
+8.  Invoke ndn-traffic-client to request /A with MustBeFresh=true. Fail if unanswered or if received content is not "A".
 9.  Wait 100ms.
-10. Invoke ndn-traffic to request /a with MustBeFresh=true. Fail if unanswered or if received content is not "Z".
+10. Invoke ndn-traffic-client to request /a with MustBeFresh=true. Fail if unanswered or if received content is not "Z".
 11. Wait 100ms.
-12. Invoke ndn-traffic to request /A/B with MustBeFresh=true. Fail if unanswered or if received content is not "A".
+12. Invoke ndn-traffic-client to request /A/B with MustBeFresh=true. Fail if unanswered or if received content is not "A".
 13. Wait 100ms.
-14. Invoke ndn-traffic to request /A/B/G with MustBeFresh=true. Fail if unanswered or if received content is not "A".
+14. Invoke ndn-traffic-client to request /A/B/G with MustBeFresh=true. Fail if unanswered or if received content is not "A".
 15. Wait 100ms.
-16. Invoke ndn-traffic to request /A/B/C with MustBeFresh=true. Fail if unanswered or if received content is not "C".
+16. Invoke ndn-traffic-client to request /A/B/C with MustBeFresh=true. Fail if unanswered or if received content is not "C".
 17. Wait 100ms.
-18. Invoke ndn-traffic to request /A/B/C/P/Q/R/S/T/U/V/W/X/Y/Z with MustBeFresh=true. Fail if unanswered or if received content is not "C".
+18. Invoke ndn-traffic-client to request /A/B/C/P/Q/R/S/T/U/V/W/X/Y/Z with MustBeFresh=true. Fail if unanswered or if received content is not "C".
diff --git a/test_fib_matching/fib-matching-test.sh b/test_fib_matching/fib-matching-test.sh
index d313d04..bc4b465 100755
--- a/test_fib_matching/fib-matching-test.sh
+++ b/test_fib_matching/fib-matching-test.sh
@@ -3,7 +3,7 @@
 
 clean_up() {
   r=$(sudo killall ndn-traffic-server 2>&1)
-  r=$(sudo killall ndn-traffic 2>&1)
+  r=$(sudo killall ndn-traffic-client 2>&1)
   r=$(sudo killall nfd 2>&1)
 }
 
@@ -29,7 +29,7 @@
 
 # A: Request /F with MustBeFresh=true. Fail if unanswered or if received content is not "Z".
 echo "Starting Traffic Client 1 (Prefix=/F, MustBeFresh=true, ExpectedContent=Z)..."
-ndn-traffic -c 1 $workdir/test-traffic-client-1.conf &> $workdir/logs/client-1.log
+ndn-traffic-client -c 1 $workdir/test-traffic-client-1.conf &> $workdir/logs/client-1.log
 outcode=$?
 if [[ $outcode -ne 0 ]]; then
   echo "Received non-zero exit code from Traffic Client 1. Actual: $outcode"
@@ -43,7 +43,7 @@
 
 # A: Request /A with MustBeFresh=true. Fail if unanswered or if received content is not "A"
 echo "Starting Traffic Client 2 (Prefix=/A, MustBeFresh=true, ExpectedContent=A)..."
-ndn-traffic -c 1 $workdir/test-traffic-client-2.conf &> $workdir/logs/client-2.log
+ndn-traffic-client -c 1 $workdir/test-traffic-client-2.conf &> $workdir/logs/client-2.log
 outcode=$?
 if [[ $outcode -ne 0 ]]; then
   echo "Received non-zero exit code from Traffic Client 2. Actual: $outcode"
@@ -57,7 +57,7 @@
 
 # A: Request /a with MustBeFresh=true. Fail if unanswered or if received content is not "Z".
 echo "Starting Traffic Client 3 (Prefix=/a, MustBeFresh=true, ExpectedContent=Z)..."
-ndn-traffic -c 1 $workdir/test-traffic-client-3.conf &> $workdir/logs/client-3.log
+ndn-traffic-client -c 1 $workdir/test-traffic-client-3.conf &> $workdir/logs/client-3.log
 outcode=$?
 if [[ $outcode -ne 0 ]]; then
   echo "Received non-zero exit code from Traffic Client 3. Actual: $outcode"
@@ -71,7 +71,7 @@
 
 # A: Request /A/B with MustBeFresh=true. Fail if unanswered or if received content is not "A".
 echo "Starting Traffic Client 4 (Prefix=/A/B, MustBeFresh=true, ExpectedContent=A)..."
-ndn-traffic -c 1 $workdir/test-traffic-client-4.conf &> $workdir/logs/client-4.log
+ndn-traffic-client -c 1 $workdir/test-traffic-client-4.conf &> $workdir/logs/client-4.log
 outcode=$?
 if [[ $outcode -ne 0 ]]; then
   echo "Received non-zero exit code from Traffic Client 4. Actual: $outcode"
@@ -85,7 +85,7 @@
 
 # A: Request /A/B/G with MustBeFresh=true. Fail if unanswered or if received content is not "A".
 echo "Starting Traffic Client 5 (Prefix=/A/B/G, MustBeFresh=true, ExpectedContent=A)..."
-ndn-traffic -c 1 $workdir/test-traffic-client-5.conf &> $workdir/logs/client-5.log
+ndn-traffic-client -c 1 $workdir/test-traffic-client-5.conf &> $workdir/logs/client-5.log
 outcode=$?
 if [[ $outcode -ne 0 ]]; then
   echo "Received non-zero exit code from Traffic Client 5. Actual: $outcode"
@@ -99,7 +99,7 @@
 
 # A: Request /A/B/C with MustBeFresh=true. Fail if unanswered or if received content is not "C".
 echo "Starting Traffic Client 6 (Prefix=/A/B/C, MustBeFresh=true, ExpectedContent=C)..."
-ndn-traffic -c 1 $workdir/test-traffic-client-6.conf &> $workdir/logs/client-6.log
+ndn-traffic-client -c 1 $workdir/test-traffic-client-6.conf &> $workdir/logs/client-6.log
 outcode=$?
 if [[ $outcode -ne 0 ]]; then
   echo "Received non-zero exit code from Traffic Client 6. Actual: $outcode"
@@ -114,7 +114,7 @@
 # A: Request /A/B/C/P/Q/R/S/T/U/V/W/X/Y/Z with MustBeFresh=true. Fail if unanswered or if received
 # content is not "C".
 echo "Starting Traffic Client 7 (Prefix=/A/B/C/P/Q/R/S/T/U/V/W/X/Y/Z, MustBeFresh=true, ExpectedContent=C)..."
-ndn-traffic -c 1 $workdir/test-traffic-client-7.conf &> $workdir/logs/client-7.log
+ndn-traffic-client -c 1 $workdir/test-traffic-client-7.conf &> $workdir/logs/client-7.log
 outcode=$?
 if [[ $outcode -ne 0 ]]; then
   echo "Received non-zero exit code from Traffic Client 7. Actual: $outcode"
diff --git a/test_interest_loop/interest-loop-test.sh b/test_interest_loop/interest-loop-test.sh
index bb4f853..ffedeb8 100755
--- a/test_interest_loop/interest-loop-test.sh
+++ b/test_interest_loop/interest-loop-test.sh
@@ -45,9 +45,9 @@
 ssh $CTRL_C "$workdir/add-nexthop.sh $a_ipaddr $strategy" || exit 3
 $workdir/add-nexthop.sh $b_ipaddr $strategy || exit 3
 
-# use ndn-traffic client to send 100 interests
-echo "using ndn-traffic client to send 100 interests..."
-ndn-traffic -c 100 -i 200 NDNTrafficClient.conf > $workdir/logs/${logprefix}_client.log 2>&1
+# use ndn-traffic-client to send 100 interests
+echo "using ndn-traffic-client to send 100 interests..."
+ndn-traffic-client -c 100 -i 200 NDNTrafficClient.conf > $workdir/logs/${logprefix}_client.log 2>&1
 
 # collect nfdc face list from B and C
 echo "collecting nfdc face list from B and C..."
diff --git a/test_multicast_strategy/test.sh b/test_multicast_strategy/test.sh
index 4f46394..42e4536 100755
--- a/test_multicast_strategy/test.sh
+++ b/test_multicast_strategy/test.sh
@@ -43,9 +43,9 @@
 ssh $CTRL_D "nfdc face create udp4://$IP4_A2"
 ssh $CTRL_D "nfdc route add ndn:/test-mcast udp4://$IP4_A2"
 
-# run ndn-traffic client on D
-echo "running ndn-traffic client on D..."
-ssh $CTRL_D "ndn-traffic -c 100 -i 200 $workdir/NDNTrafficClient.conf > $workdir/logs/client.log 2>&1"
+# run ndn-traffic-client on D
+echo "running ndn-traffic-client on D..."
+ssh $CTRL_D "ndn-traffic-client -c 100 -i 200 $workdir/NDNTrafficClient.conf > $workdir/logs/client.log 2>&1"
 
 # kill ndn-traffic-server on B and C
 echo "killing ndn-traffic-server on B and C..."
diff --git a/test_ndntraffic/README.md b/test_ndntraffic/README.md
index 85384f0..e464abf 100644
--- a/test_ndntraffic/README.md
+++ b/test_ndntraffic/README.md
@@ -7,6 +7,6 @@
 
 ## Description ##
 
-This test case will run NFD, ndn-traffic, and ndn-traffic-server.
-This will report SUCCESS if one Interest/Data exchange is completed without any data inconsistency between ndn-traffic and ndn-traffic-server.
+This test case will run NFD, ndn-traffic-client, and ndn-traffic-server.
+This will report SUCCESS if one Interest/Data exchange is completed without any data inconsistency between ndn-traffic-client and ndn-traffic-server.
 Otherwise, it will fail.
diff --git a/test_ndntraffic/ndntraffic-test.sh b/test_ndntraffic/ndntraffic-test.sh
index 3f494cd..f5435f6 100755
--- a/test_ndntraffic/ndntraffic-test.sh
+++ b/test_ndntraffic/ndntraffic-test.sh
@@ -3,7 +3,7 @@
 
 clean_up() {
   r=$(sudo killall ndn-traffic-server 2>&1)
-  r=$(sudo killall ndn-traffic 2>&1)
+  r=$(sudo killall ndn-traffic-client 2>&1)
   r=$(sudo killall nfd 2>&1)
 }
 
@@ -20,12 +20,12 @@
 sleep 1
 
 # A: Run ndn-traffic
-echo "Running ndn-traffic on A..."
-ndn-traffic -c 1 $workdir/test-traffic-client.conf &> $workdir/logs/ndn-traffic.log
+echo "Running ndn-traffic-client on A..."
+ndn-traffic-client -c 1 $workdir/test-traffic-client.conf &> $workdir/logs/ndn-traffic-client.log
 exitcode=$?
 
 if [[ $exitcode -ne 0 ]]; then
-  echo "Received non-zero exit code from ndn-traffic - actual: $exitcode"
+  echo "Received non-zero exit code from ndn-traffic-client - actual: $exitcode"
   clean_up
   exit 1
 fi
diff --git a/test_ndntraffic/test_ndntraffic.py b/test_ndntraffic/test_ndntraffic.py
index e81c2cc..97b7a76 100644
--- a/test_ndntraffic/test_ndntraffic.py
+++ b/test_ndntraffic/test_ndntraffic.py
@@ -27,7 +27,7 @@
         ret = subprocess.call(["./ndntraffic-test.sh"], shell=True)
         print "Test script return  value:", ret
         errormsg = {
-            1 : "ndn-traffic did not receive a Data satisfying its Interest",
+            1 : "ndn-traffic-client did not receive a Data satisfying its Interest",
             2 : "ndn-traffic-server did not exit after sending a Data packet",
         }
         if (ret != 0):
diff --git a/test_route_inheritance/route-inheritance-test.sh b/test_route_inheritance/route-inheritance-test.sh
index 77e5a8f..2242e81 100755
--- a/test_route_inheritance/route-inheritance-test.sh
+++ b/test_route_inheritance/route-inheritance-test.sh
@@ -66,16 +66,16 @@
 
 # run traffic generator clients on A
 echo "running traffic generator client1..."
-ndn-traffic -c 20 -i 200 $workDir/NDNTrafficClient1.conf > $logDir/client1.log 2>&1
+ndn-traffic-client -c 20 -i 200 $workDir/NDNTrafficClient1.conf > $logDir/client1.log 2>&1
 
 echo "running traffic generator client2..."
-ndn-traffic -c 20 -i 200 $workDir/NDNTrafficClient2.conf > $logDir/client2.log 2>&1
+ndn-traffic-client -c 20 -i 200 $workDir/NDNTrafficClient2.conf > $logDir/client2.log 2>&1
 
 echo "running traffic generator client3..."
-ndn-traffic -c 20 -i 200 $workDir/NDNTrafficClient3.conf > $logDir/client3.log 2>&1
+ndn-traffic-client -c 20 -i 200 $workDir/NDNTrafficClient3.conf > $logDir/client3.log 2>&1
 
 echo "running traffic generator client4..."
-ndn-traffic -c 20 -i 200 $workDir/NDNTrafficClient4.conf > $logDir/client4.log 2>&1
+ndn-traffic-client -c 20 -i 200 $workDir/NDNTrafficClient4.conf > $logDir/client4.log 2>&1
 
 
 # stop traffic generator server on B,C,D and kill local nfd
diff --git a/test_tcp_udp_tunnel/tcp-udp-tunnel-test.sh b/test_tcp_udp_tunnel/tcp-udp-tunnel-test.sh
index 88419bf..ace5b0a 100755
--- a/test_tcp_udp_tunnel/tcp-udp-tunnel-test.sh
+++ b/test_tcp_udp_tunnel/tcp-udp-tunnel-test.sh
@@ -41,9 +41,9 @@
 nfdc face create $1://$ipaddr
 nfdc route add ndn:/tunnel-test $1://$ipaddr
 
-# run ndn-traffic client
-echo "running ndn-traffic client..."
-ndn-traffic -c 100 -i 100 NDNTrafficClient.conf > logs/$1/client.log 2>&1
+# run ndn-traffic-client
+echo "running ndn-traffic-client..."
+ndn-traffic-client -c 100 -i 100 NDNTrafficClient.conf > logs/$1/client.log 2>&1
 
 # stop nfd on hostA
 echo "stopping nfd on host A..."
diff --git a/test_unixface/test_unixface.py b/test_unixface/test_unixface.py
index 171f850..a081076 100644
--- a/test_unixface/test_unixface.py
+++ b/test_unixface/test_unixface.py
@@ -26,7 +26,7 @@
         ret = subprocess.call(["./unix-face-test.sh"], shell=True)
         print "Test script return value:", ret
         errormsg = {
-            1 : "ndn-traffic client does not end normally. See logs/client.log",
+            1 : "ndn-traffic-client did not end normally. See logs/client.log",
             2 : "Data loss detected",
         }
         if (ret != 0):
diff --git a/test_unixface/unix-face-test.sh b/test_unixface/unix-face-test.sh
index cfc5d67..bdce985 100755
--- a/test_unixface/unix-face-test.sh
+++ b/test_unixface/unix-face-test.sh
@@ -9,12 +9,12 @@
 ndn-traffic-server NDNTrafficServer.conf > logs/server.log 2>&1 &
 sleep 2
 echo "Sending interests..."
-ndn-traffic -i 100 -c 100 NDNTrafficClient.conf > logs/client.log 2>&1
+ndn-traffic-client -i 100 -c 100 NDNTrafficClient.conf > logs/client.log 2>&1
 clean_up
 output=$(grep "Total Interest Loss" logs/client.log | head -1 | cut -d= -f2 | cut -d' ' -f2 | cut -d% -f1)
 if [[ -z $output ]]
 then
-    echo "ndn-traffic client does not end normally. See logs/client.log"
+    echo "ndn-traffic-client did not end normally. See logs/client.log"
     exit 1
 fi
 if [[ $output != 0?(.+(0)) ]]